Skip to main content
GET
/
api
/
yativo-card
/
{yativoCardId}
/
cards
curl -X GET 'https://crypto-api.yativo.com/api/yativo-card/yativo_card_0xAbCd1234EfGh5678IjKl9012_1769031332068/cards' \
  -H 'Authorization: Bearer YOUR_ACCESS_TOKEN'
{
  "success": true,
  "message": "Cards retrieved successfully",
  "data": {
    "yativo_card_id": "yativo_card_0xAbCd1234EfGh5678IjKl9012_1769031332068",
    "cardholder_email": "merchant@example.com",
    "cards": [
      {
        "card_id": "b2dc97ab-03f9-49eb-c72f-95be13815278",
        "last_four_digits": "0892",
        "card_type": "virtual",
        "is_virtual": true,
        "status_code": 1000,
        "status_name": "Active",
        "activated_at": "2026-02-02T13:04:23.704Z",
        "holder_name": "JOHN MERCHANT",
        "billing": {
          "line1": "123 Test Street",
          "city": "New York",
          "postalCode": "10001",
          "countryCode": "US"
        }
      }
    ],
    "total": 1
  }
}
Authorization
string
required
Bearer token: Bearer YOUR_ACCESS_TOKEN
curl -X GET 'https://crypto-api.yativo.com/api/yativo-card/yativo_card_0xAbCd1234EfGh5678IjKl9012_1769031332068/cards' \
  -H 'Authorization: Bearer YOUR_ACCESS_TOKEN'
{
  "success": true,
  "message": "Cards retrieved successfully",
  "data": {
    "yativo_card_id": "yativo_card_0xAbCd1234EfGh5678IjKl9012_1769031332068",
    "cardholder_email": "merchant@example.com",
    "cards": [
      {
        "card_id": "b2dc97ab-03f9-49eb-c72f-95be13815278",
        "last_four_digits": "0892",
        "card_type": "virtual",
        "is_virtual": true,
        "status_code": 1000,
        "status_name": "Active",
        "activated_at": "2026-02-02T13:04:23.704Z",
        "holder_name": "JOHN MERCHANT",
        "billing": {
          "line1": "123 Test Street",
          "city": "New York",
          "postalCode": "10001",
          "countryCode": "US"
        }
      }
    ],
    "total": 1
  }
}